View Issue Details

IDProjectCategoryView StatusLast Update
0004107Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004107: exchange details missing in balance page
DescriptionThere should be some way to view more detailed information about the balance, other than the current slicing by currency without any regard to the mint.
TagsNo tags attached.

Relationships

related to 0004121 closedFlorian Dold should show fee structure in mint selection 

Activities

Florian Dold

2016-02-18 22:57

manager   ~0010154

Since 0004121 is now implemented, this should be easy as well.

What is the relevant information to show in this page? Should it be a separate wallet popup tab? Should the amounts in the balance page link to the mint info?

We need to discuss the user experience for this before it can be implemented.

Florian Dold

2016-05-26 17:35

manager   ~0010771

Discussed offline: The "balances" tab should have a link that brings us to a full-page view of a tree, with the currency on top, and exchanges and then individual denomination keys and coins below.

Same for auditors, there should be an overview in a tab, and then a detailed view that allows to change the default exchange for a currency.

Florian Dold

2016-11-14 00:34

manager   ~0011481

Fixed in 48bac7d. The balance tab now shows an "advanced view" link, which takes you to the tree view.

The tree view is still very ugly and not targeted at end users.

Issue History

Date Modified Username Field Change
2015-12-25 01:13 Florian Dold New Issue
2015-12-25 11:07 Christian Grothoff Severity minor => feature
2015-12-25 11:07 Christian Grothoff Product Version => 0.0
2015-12-25 11:07 Christian Grothoff Target Version => 0.1
2016-01-02 12:33 Christian Grothoff Status new => confirmed
2016-01-02 12:33 Christian Grothoff Summary mint details page missing => mint details missing in balance page
2016-01-22 23:34 Christian Grothoff Relationship added related to 0004121
2016-01-22 23:49 Christian Grothoff Assigned To => Florian Dold
2016-01-22 23:49 Christian Grothoff Status confirmed => assigned
2016-02-18 22:57 Florian Dold Note Added: 0010154
2016-02-18 22:57 Florian Dold Status assigned => feedback
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004298
2016-05-26 17:35 Florian Dold Note Added: 0010771
2016-05-26 17:35 Florian Dold Status feedback => assigned
2016-09-26 20:42 Florian Dold Summary mint details missing in balance page => exchange details missing in balance page
2016-09-27 22:27 Christian Grothoff Target Version 0.1 => 0.2
2016-11-14 00:34 Florian Dold Status assigned => resolved
2016-11-14 00:34 Florian Dold Resolution open => fixed
2016-11-14 00:34 Florian Dold Note Added: 0011481
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed